{% block javascripts %}
  {{ encore_entry_script_tags('summary-f24') }}
{% endblock %}

{% block main_content %}
  <div class="cmp-heading pb-3 pb-lg-4">
    {# In attesa di generazione del pdf #}
    {% if pratica.status == 1900 %}
      <div class="categoryicon-top d-flex" id="container-f24" data-application="{{ pratica.id }}" data-url="{{ app.request.getSchemeAndHttpHost() ~ '/' ~ prefix}}">
        <svg class="icon icon-success mr-10 big-lg-icon mb-1" aria-hidden="true">
          <use href="/bootstrap-italia/dist/svg/sprite.svg#it-check-circle"></use>
        </svg>
        <h1 class="title-xxxlarge">{{ 'pratica.f24_sent' | trans }}</h1>
      </div>
      <p class="my-2">
        {{ 'operatori.attesa_modello_f24_info'|trans|raw }}
      </p>
      <div class="alert alert-warning alert-error d-none" role="alert"></div>
      <button disabled type="button" class="btn btn-secondary btn-xs disabled fw-bold mb-2 d-flex align-items-center px-1 justify-content-center btn-f24-loader">
        <div class="progress-spinner progress-spinner-double size-sm progress-spinner-active">
          <div class="progress-spinner-inner"></div>
          <div class="progress-spinner-inner"></div>
        </div>
        <div class="px-2"><span>  {{ 'operatori.attesa_modulo_compilato_pdf'|trans|raw }}</span></div>
      </button>
      {# Pratica inviata #}
    {% elseif pratica.status == 2000 %}
      <div class="container">
        <div class="row">
          <div class="cmp-heading pb-3 pb-lg-4">
            <div class="categoryicon-top d-flex">
              <svg class="icon icon-success mr-10 big-lg-icon mb-1" aria-hidden="true">
                <use href="{{ asset('bundles/app/images/sprites.svg') }}#it-check-circle"></use>
              </svg>
              <h1 class="title-xxxlarge">{{ 'pratica.f24_created' | trans }}</h1>
            </div>
            <p class="subtitle-small"> {{ 'pratica.thanks_message_f24'|trans({'%name%':pratica.servizio.name,'%id%':pratica.id})|raw }}</p>
            <p class="pt-3 pt-lg-4 mb-0">{{ 'pratica.sent_to_email' | trans }}:<br/>
              <strong>{{ pratica.user.email }}</strong></p>
            {% set attachment = pratica.moduliCompilati|first %}
            <a class="btn btn-outline-primary fw-bold"
               href="{{ path('allegati_download', {'allegato': attachment.id}) }}" download>
                  <span class="rounded-icon">
                    <svg class="icon icon-primary icon-sm" aria-hidden="true">
                      <use href="{{ asset('bundles/app/images/sprites.svg') }}#it-download"></use>
                    </svg>
                  </span>
              <span>{{ 'operatori.download.f24' | trans }}</span>
            </a>
          </div>
        </div>

        {% if is_granted('ROLE_USER') and not is_granted('ROLE_OPERATORE') %}
          <p class="mt-4 mt-lg-3 mb-40 mb-lg-100">
            <a class="t-primary" href="{{ app.request.uri ~ '/detail' }}">{{ 'pratica.consulta_dati' | trans }}</a>
            {{ 'pratica.nella_tua_area_riservata' | trans }}.
          </p>
        {% endif %}
      </div>
    {% else %}
      {% set attachment = pratica.moduliCompilati|first %}
      <a class="btn btn-outline-primary fw-bold mt-3"
         href="{{ path('allegati_download', {'allegato': attachment.id}) }}" download>
                  <span class="rounded-icon">
                    <svg class="icon icon-primary icon-sm" aria-hidden="true">
                      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
                    </svg>
                  </span>
        <span>{{ 'operatori.scarica_richiesta_protocollata'|trans }}</span>
      </a>
    {% endif %}
  </div>
{% endblock %}

